package com.example.gwtpwj.client;

import org.gwt.advanced.client.datamodel.ComboBoxDataModel;
import org.gwt.advanced.client.ui.widget.ComboBox;
import org.mockito.Mockito;

import com.example.gwtpwj.server.JavaNumberFormat;
import com.gwtplatform.tester.MockFactory;

public class MockitoMockFactory implements MockFactory {
    public <T> T mock(Class<T> classToMock) {
        if (classToMock.equals(ComboBox.class)) {
            ComboBox ret = (ComboBox) _mock(classToMock);
            Mockito.when(ret.getModel()).thenReturn(new ComboBoxDataModel());
            return (T) ret;
        }
        // IGwtNumberFormatSux
        if (classToMock.equals(JavaNumberFormat.class)) {
            return (T) new JavaNumberFormat();
            // JavaNumberFormat ret = (JavaNumberFormat) _mock(classToMock);
            // Mockito.doCallRealMethod().when(ret.setPattern(anyString()));
            // Mockito.when(ret.format(anyDouble())).thenCallRealMethod();
            // return (T) ret;
        }

        return _mock(classToMock);
    }

    private <T> T _mock(Class<T> classToMock) {
        return Mockito.mock(classToMock);
    }
}
