package com.example.gwtpwj.client.app.input;

import static org.mockito.Mockito.verify;

import org.jukito.JukitoRunner;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.runner.RunWith;

import com.example.gwtpwj.client.app.input.InputTabPresenter;
import com.google.inject.Inject;
import com.google.web.bindery.event.shared.EventBus;

@RunWith(JukitoRunner.class)
public class InputTabPresenterTest {
    private static final double EPSILON = 0.001;

    @Rule
    public ExpectedException thrown = ExpectedException.none();

    @Inject
    EventBus eventBus;

    @Inject
    // implementation gets injected
    InputTabPresenter presenter;

    @Inject
    // interface gets mocked
    private InputTabPresenter.MyView view;

    @Test
    public void testSetDefaultValuesOnInit() {
        verify(view).setValue("123.4");
    }

}
