package com.example.gwtpwj.client.app;


import com.example.gwtpwj.client.app.input.InputTabPresenter;
import com.example.gwtpwj.client.app.input.InputTabView;
import com.example.gwtpwj.client.app.ui.UiModule;
import com.example.gwtpwj.client.model.GwtNumberFormat;
import com.example.gwtpwj.client.model.IGwtNumberFormatSux;
import com.gwtplatform.mvp.client.gin.AbstractPresenterModule;

public class ApplicationModule extends AbstractPresenterModule {
    @Override
    protected void configure() {
        install(new UiModule());

        bindPresenter(ApplicationPresenter.class,
            ApplicationPresenter.MyView.class, ApplicationView.class,
            ApplicationPresenter.MyProxy.class);

        bindPresenter(InputTabPresenter.class, InputTabPresenter.MyView.class,
            InputTabView.class,
            InputTabPresenter.MyProxy.class);

        bind(IGwtNumberFormatSux.class).to(GwtNumberFormat.class);
    }
}
